org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class LockTrackerFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.LockTrackerFactory

    public final class LockTrackerFactory
    extends Object

Page lock tracker factory. 1 - HEAP_STACK 2 - HEAP_LOG 3 - OFF_HEAP_STACK 4 - OFF_HEAP_LOG

### Field Summary

Fields
`static int` `DEFAULT_CAPACITY`
`static int` `DEFAULT_TYPE`
`static int` `DFLT_PAGE_LOCK_TRACKER_CAPACITY`
`static int` `HEAP_LOG`
`static int` `HEAP_STACK`
`static int` `OFF_HEAP_LOG`
`static int` `OFF_HEAP_STACK`

### Constructor Summary

Constructors
Constructor and Description
`LockTrackerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PageLockTracker<? extends PageLockDump>` `create(int type, int size, String name, PageLockTrackerManager.MemoryCalculator memCalc)`
`static PageLockTracker<? extends PageLockDump>` `create(int type, String name)`
`static PageLockTracker<? extends PageLockDump>` `create(int type, String name, int size)`
`static PageLockTracker<? extends PageLockDump>` `create(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HEAP_STACK

    public static final int HEAP_STACK

See Also:
  Constant Field Values

#### HEAP_LOG

    public static final int HEAP_LOG

See Also:
  Constant Field Values

#### OFF_HEAP_STACK

    public static final int OFF_HEAP_STACK

See Also:
  Constant Field Values

#### OFF_HEAP_LOG

    public static final int OFF_HEAP_LOG

See Also:
  Constant Field Values

#### DFLT_PAGE_LOCK_TRACKER_CAPACITY

    public static final int DFLT_PAGE_LOCK_TRACKER_CAPACITY

See Also:
  `IgniteSystemProperties.IGNITE_PAGE_LOCK_TRACKER_CAPACITY`, Constant Field Values

#### DEFAULT_CAPACITY

    public static volatile int DEFAULT_CAPACITY

#### DEFAULT_TYPE

    public static volatile int DEFAULT_TYPE

### Constructor Detail

#### LockTrackerFactory

    public LockTrackerFactory()

### Method Detail

#### create

    public static PageLockTracker<? extends PageLockDump> create(String name)

Parameters:
  `name` - Page lock tracker name.

#### create

    public static PageLockTracker<? extends PageLockDump> create(int type,
                                                                 String name)

Parameters:
  `name` - Page lock tracker name.
  `type` - Page lock tracker type.

#### create

    public static PageLockTracker<? extends PageLockDump> create(int type,
                                                                 String name,
                                                                 int size)

Parameters:
  `name` - Page lock tracker name.
  `type` - Page lock tracker type.
  `size` - Page lock tracker size (capacity).

#### create

    public static PageLockTracker<? extends PageLockDump> create(int type,
                                                                 int size,
                                                                 String name,
                                                                 PageLockTrackerManager.MemoryCalculator memCalc)

Parameters:
  `name` - Page lock tracker name.
  `type` - Page lock tracker type.
  `size` - Page lock tracker size (capacity).

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021